Quassel IRC - Bug #1532

"Highlight Ignore Rule" is not working
08/11/2019 04:10 PM - Anonymous
Category: Estimated time: 0.00 hour
Target version:

Version: 0.13.0 0S: Linux
Description

| configured under 0.13.1 a "Highlight Ignore Rule" with an empty "Rule" field, "RegEx" and "Enabled" are enabled and "Sender" is
set to "willikins™'. Nevertheless messages in #gentoo-dev are highlighted from the bot "willikins" if my nickname ("toralf")is mentioned
in its output:

<+willikins> https://bugs.gentoo.org/689614 "app-crypt/libnitrokey-3.5 : [TEST] 1 - runs (Failed)"; Gentoo Linux, Current packages;
RESO, FIXE; toralf:soap

My quassel client runs at a hardened Gentoo Linux, the core is running at a remote Debian 10.

History

#1 - 08/11/2019 05:00 PM - genius3000

" oEn

You've enabled Regex but aren't using proper Regex syntax. With Regex enabled, Rule should be ".*" (catch all) and a wildcard in the Sender field

noxn

would be ".*" as well. For a basic 'all messages from a single sender' | would suggest: disable Regex, leave Rule blank, and set Sender to
"willikins!*@*". Throw a '?' or ™' wildcard on either side of willikins if needed (alt nicks during splits/timeouts/etc).

#2 - 08/11/2019 06:12 PM - Anonymous
yep, | think got it now - thx for your help.

#3 - 08/12/2019 04:25 AM - genius3000

- Status changed from New to Closed

You're welcome, glad you got it working. I'll close this now; please comment again if still have issues.
